package com.bonus.canteen.core.device.vo;

import io.swagger.annotations.ApiModelProperty;

public class DeviceControlRelationVO {
   @ApiModelProperty("控制设备id")
   private Long controlDeviceId;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("设备sn码")
   private String deviceSn;
   @ApiModelProperty("设备名称")
   private String deviceName;
   @ApiModelProperty("设备编号")
   private String deviceNum;
   @ApiModelProperty("设备型号")
   private String deviceModel;
   @ApiModelProperty("设备类型")
   private Integer deviceType;

   public Long getControlDeviceId() {
      return this.controlDeviceId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public String getDeviceSn() {
      return this.deviceSn;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public String getDeviceNum() {
      return this.deviceNum;
   }

   public String getDeviceModel() {
      return this.deviceModel;
   }

   public Integer getDeviceType() {
      return this.deviceType;
   }

   public void setControlDeviceId(final Long controlDeviceId) {
      this.controlDeviceId = controlDeviceId;
   }

   public void setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
   }

   public void setDeviceSn(final String deviceSn) {
      this.deviceSn = deviceSn;
   }

   public void setDeviceName(final String deviceName) {
      this.deviceName = deviceName;
   }

   public void setDeviceNum(final String deviceNum) {
      this.deviceNum = deviceNum;
   }

   public void setDeviceModel(final String deviceModel) {
      this.deviceModel = deviceModel;
   }

   public void setDeviceType(final Integer deviceType) {
      this.deviceType = deviceType;
   }
}
